<?php
session_start();
require_once 'ConexaoSQL.php';
require_once '../gerador/SqlServer.php';
require_once '../gerador/MysqlConsulta.php';
require_once 'Conexao.php';
require_once '../gerador/NFE.php';

$mysql = new MysqlConsulta();

$sql = new SqlServer();


$id = $_POST['id'];

$loja = $_POST['loja'];

$numeroNota = $_POST['numeronota'];

$quantidade = $_POST['quantidade'];

$dados2 =  $mysql->dadosNotaFiscalMysql($conexao);

foreach ($dados2 AS $dados3){

    if($dados3['id'] == $id){

    $NFE = new NFE(
        $dados3['precototal'],
        $dados3['alic'],
        $dados3['icmsitem'],
        $dados3['sttotal'],
        $dados3['stunit'],
        1,
        $dados3['descricao'],
        $dados3['chave'],
        $dados3['precocompraunt'],
        
        $dados3['icmstotal'],
        $dados3['codcst'],
        $dados3['cfop']
    );

        $sql->BuscarRegistroDeUmaNota($loja,$numeroNota,$dados3['cod'],$NFE);

        $mysql->dadosNfeEmissao($conexao,$loja,$numeroNota,$id);

        $mysql->salvarDadosDasNotasEmitidas($conexao,$quantidade,$numeroNota,$dados3['chave'],$dados3['cod'], $loja);
                    
        $_SESSION['msg'] = "<div class='alert alert-success'> Informado </div>";
        header("Location: ../buscardadosnfe.php");
        

        }

}



